{% extends 'base.html' %}

{% block title %}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <div class="project-headline">
                <div>
                    <h3>Description</h3>
                    <p>{{ project.description }}</p>
                </div>
                <div class="memberlist">
                    <h3>Project Members</h3>
                    <ul>
                        <li>Owner: {{ project.owner }}</li>
                        {% for assignee in assignees %}
                            <li>{{ assignee }}</li>
                        {% empty %}
                            <li>No collaborators</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <p class="button-bar">
                <a href={% url 'create_task' %}>Create a new task</a>
                <a href={% url 'show_project' project.id %}>Show Table</a>
                {% if user == project.owner %}
                    <a href={% url "edit" 'project' project.id %}>Edit Project</a>
                {% endif %}
            </p>
            <h2>Tasks</h2>
            <div class="gantt-box">
                {% if not project.tasks.all %}
                    <p>This project has no tasks</p>
                {% else %}
                    {% autoescape off %}
                        {{ gantt }}
                    {% endautoescape %}
                {% endif %}
            </div>
        </div>
    </main>
    {% endblock content %}
